gnutls_pubkey_encrypt_data(3)

NAME
gnutls_pubkey_encrypt_data - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_encrypt_data(gnutls_pubkey_t key, unsigned int flags, const gnutls_datum_t * plaintext, gnutls_datum_t * ciphertext);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

unsigned int flags
    should be 0 for now

const gnutls_datum_t * plaintext
    The data to be encrypted

gnutls_datum_t * ciphertext
    contains the encrypted data

DESCRIPTION
This function will encrypt the given data, using the public key. On success the ciphertext will be allocated using gnutls_malloc().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/